<script lang="ts" setup>
import PageHeader from '@/components/PageHeader.vue';
import Card from '@/components/Card.vue';
import CopyIcon from '@/components/Icons/CopyIcon.vue'
</script>

<template>
  <PageHeader :route="[{
    name: $t('LINKS.DONATE'),
    path: '/donate'
  }]" :title="$t('VIEWS.DONATE.TITLE')" />

  <div class="donate">
    <div class="text">
      <p>{{ $t('VIEWS.DONATE.TEXT_1') }}</p>
      <p>{{ $t('VIEWS.DONATE.TEXT_2') }}</p>
      <p>{{ $t('VIEWS.DONATE.TEXT_3') }}</p>
      <p>{{ $t('VIEWS.DONATE.TEXT_4') }}</p>
    </div>
    <div class="payments">
      <Card width="auto" height="auto" color="var(--complementary-gray-2)" id="crypto" class="info">
        <div class="title">
          <h3>{{ $t('VIEWS.DONATE.CRYPTO') }}</h3>
        </div>
        <div class="item">
          <span class="label">Ethereum (ERC20)</span>
          <div class="field">
            <span>0x4d4053f36B4F85e3c812d3e1e00d3860A8abC770</span>
            <CopyIcon />
          </div>
        </div>
        <div class="item">
          <span class="label">Monero</span>
          <div class="field">
            <span>4AdUndXHHZ6cfufTMvppY6JwXNouMBzSkbLYfpAV5Usx3skxNgYeYTRj5UzqtReoS44qo9mtmXCqY45DJ852K5Jv2684Rge</span>
            <CopyIcon />
          </div>
        </div>
      </Card>

      <Card width="auto" height="auto" color="var(--complementary-gray-2)" id="credit" class="info">
        <h3>{{ $t('VIEWS.DONATE.CARD') }}</h3>
        <div class="services">
          <div class="item">
            <span class="label">Liberapay</span>
            <a href="https://liberapay.com/coldwire/donate">
              <img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg" target="_blank">
            </a>
          </div>
          <div class="item">
            <span class="label">Hello Assos</span>
            <a href="https://liberapay.com/coldwire/donate">
              <img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg" target="_blank">
            </a>
          </div>

          <div class="item">
            <span class="label">Paypal</span>
            <a href="https://liberapay.com/coldwire/donate">
              <img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg" target="_blank">
            </a>
          </div>
        </div>
      </Card>

      <Card width="auto" height="auto" color="var(--complementary-gray-2)" id="bank" class="info">
        <h3>{{ $t('VIEWS.DONATE.BANK') }}</h3>
        <div class="item">
          <span class="pin">BANK</span>
          <span>Crédit Coopératif</span>
        </div>
        <div class="item">
          <span class="pin">IBAN</span>
          <span>FR00 0000 0000 0000 0000 0</span>
        </div>
        <div class="item">
          <span class="pin">LABEL</span>
          <span>Coldwire {{ $t('VIEWS.DONATE.BANK_INFO') }}</span>
        </div>
      </Card>
    </div>
  </div>
</template>

<style scoped>
.donate {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  gap: 64px;
}

.donate .text {
  max-width: 35%;
  font-size: 18px;
  font-weight: 600;
}

.payments {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.donate .payments .info {
  display: flex;
  flex-direction: column;
  gap: 16px;

  max-width: 650px;
  border: 1px solid var(--complementary-gray-3);
  box-sizing: border-box;
}

.donate .payments .info .item {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.donate .payments .info .item .label {
  color: var(--complementary-white-50);
}

.donate .payments .info .item .field {
  background-color: var(--complementary-gray-3);
  padding: 8px;
  border-radius: 8px;
  display: flex;

  gap: 8px;

  justify-content: space-between;
  align-items: center;
}

.donate .payments .info .item .field span {
  word-wrap: break-word;
  max-width: 90%;
}

.donate .payments #credit .services {
  display: flex;
  flex-direction: row;
  gap: 32px;
}

.donate .payments #bank .item {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
}

.donate .payments .info .item .pin {
  display: flex;
  background-color: var(--complementary-gray-3);
  align-items: center;

  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 8px;
  padding-right: 8px;

  color: rgba(240, 246, 252, 0.5);
  font-size: 10px;

  border-radius: 8px;
}
</style>